---
document: modulemd
version: 2
data:
  name: mariadb
  stream: "10.5"
  version: 8080020231013125350
  context: 9edba152
  arch: x86_64
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        ref: 3547c02b6eb3742b6ec342fdb33b24e8f6872cd9
        buildorder: 4
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        ref: 1b1eb4d760ddfa00b98939d9617f2a3b3aac61ac
        buildorder: 12
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      galera:
        rationale: Galera package for MariaDB server replication
        ref: cc8943955bac0f9fc3fe1645d96a4e2e2e762100
        buildorder: 16
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      mariadb:
        rationale: MariaDB package
        ref: f119c59f5f7dfaa612b1d4ea77530f8abb764b61
        buildorder: 8
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - Judy-0:1.0.5-18.module_el8.8.0+3620+5d452900.src
    - Judy-0:1.0.5-18.module_el8.8.0+3620+5d452900.x86_64
    - Judy-debuginfo-0:1.0.5-18.module_el8.8.0+3620+5d452900.x86_64
    - Judy-debugsource-0:1.0.5-18.module_el8.8.0+3620+5d452900.x86_64
    - asio-0:1.10.8-7.module_el8.8.0+3620+5d452900.src
    - galera-0:26.4.14-1.module_el8.8.0+3620+5d452900.src
    - galera-0:26.4.14-1.module_el8.8.0+3620+5d452900.x86_64
    - galera-debuginfo-0:26.4.14-1.module_el8.8.0+3620+5d452900.x86_64
    - galera-debugsource-0:26.4.14-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-3:10.5.22-1.module_el8.8.0+3620+5d452900.src
    - mariadb-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-backup-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-backup-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-common-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-debugsource-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-devel-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-embedded-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-embedded-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-embedded-devel-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-errmsg-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-gssapi-server-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-gssapi-server-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-oqgraph-engine-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-oqgraph-engine-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-pam-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-pam-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-server-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-server-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-server-galera-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-server-utils-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-server-utils-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-test-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
    - mariadb-test-debuginfo-3:10.5.22-1.module_el8.8.0+3620+5d452900.x86_64
...
---
document: modulemd
version: 2
data:
  name: mariadb-devel
  stream: "10.5"
  version: 8080020231013125350
  context: 9edba152
  arch: x86_64
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      mariadb: [10.5]
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        ref: 3547c02b6eb3742b6ec342fdb33b24e8f6872cd9
        buildorder: 4
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        ref: 1b1eb4d760ddfa00b98939d9617f2a3b3aac61ac
        buildorder: 12
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      galera:
        rationale: Galera package for MariaDB server replication
        ref: cc8943955bac0f9fc3fe1645d96a4e2e2e762100
        buildorder: 16
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      mariadb:
        rationale: MariaDB package
        ref: f119c59f5f7dfaa612b1d4ea77530f8abb764b61
        buildorder: 8
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - Judy-devel-0:1.0.5-18.module_el8.8.0+3620+5d452900.x86_64
    - asio-devel-0:1.10.8-7.module_el8.8.0+3620+5d452900.x86_64
...
